/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
  And operator function
*/

#ifndef _AND_HPP
#define _AND_HPP

#include <pathan/Pathan.hpp>

#include <pathan/dataItem/DataItemOperator.hpp>

/** Concat operator function*/
class PATHAN_EXPORT And : public DataItemOperator
{
public:
  static const XMLCh name[];

  ///Constructor
  And(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** ands two booleans. Takes two booleans, and gives a boolean. Sets result
      to true if all arguments are true, false otherwise */
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;

  virtual DataItem* staticResolution(StaticContext *context, StaticResolutionContext *src);
};

#endif // _AND_HPP
