/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
   Divide operator function
*/

#ifndef _DIVIDE_HPP
#define _DIVIDE_HPP

#include <pathan/Pathan.hpp>
#include <pathan/dataItem/DataItemOperator.hpp>

/** OpDivide operator function*/
class PATHAN_EXPORT Divide : public DataItemOperator
{
public:
  static const XMLCh name[];

  Divide(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** Divides two dataitems. **/
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;

};

#endif // _DIVIDE_HPP


