/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*

   Op Except 
The except operator takes two node sequences as operands and returns a sequence containing all the nodes that occur in the first operand
but not in the second operand
*/

#ifndef _EXCEPT_HPP
#define _EXCEPT_HPP

#include <pathan/Pathan.hpp>

#include <pathan/dataItem/DataItemOperator.hpp>

class PATHAN_EXPORT Except : public DataItemOperator
{
public:
  static const XMLCh name[];

  Except(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** exectutes the operator*/
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;

};

#endif 
