/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
   Multiply operator function
*/

#ifndef _MULTIPLY_HPP
#define _MULTIPLY_HPP

#include <pathan/Pathan.hpp>

#include <pathan/dataItem/DataItemOperator.hpp>

/** OpTimes operator function*/
class PATHAN_EXPORT Multiply : public DataItemOperator
{
public:
  static const XMLCh name[];

  Multiply(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** Multiplies two DataItems. Takes two DataItems and returns the product of them*/
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;

};

#endif // _FUNCTIONOPTIMES_HPP

