/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
 * xf:exactly-one(item* $srcval) => item
 */

#ifndef _FUNCTIONEXACTLYONE_HPP
#define _FUNCTIONEXACTLYONE_HPP

#include <pathan/Pathan.hpp>

#include <pathan/functionAPI/ConstantFoldingFunction.hpp>

class PATHAN_EXPORT FunctionExactlyOne : public ConstantFoldingFunction
{
public:
  static const XMLCh name[];

  FunctionExactlyOne(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** Returns $srcval if it contains exactly one item. **/
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;
};

#endif // _FUNCTIONEXACTLYONE_HPP
