/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
   Integer divide operator function
*/

#ifndef _INTEGER_DIVIDE_HPP
#define _INTEGER_DIVIDE_HPP

#include <pathan/Pathan.hpp>
#include <pathan/dataItem/DataItemOperator.hpp>

/** OpIntegerDivide operator function*/
class PATHAN_EXPORT IntegerDivide : public DataItemOperator
{
public:
  static const XMLCh name[];

  IntegerDivide(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** 
   * Integer divides two dataItems of type XSInteger. 
   */
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;

};

#endif // _INTEGER_DIVIDE_HPP

