/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

/*
   OpPlus operator function
*/

#ifndef _PLUS_HPP
#define _PLUS_HPP

#include <pathan/Pathan.hpp>

#include <pathan/dataItem/DataItemOperator.hpp>

/** OpPlus operator function*/
class PATHAN_EXPORT Plus : public DataItemOperator
{
public:
  static const XMLCh name[];

  Plus(const VectorOfDataItems &args, XPath2MemoryManager* memMgr);
  
  /** Adds two DataItems. Takes two DataItems and returns the sum of them*/
  Sequence collapseTreeInternal(DynamicContext* context, int flags=0) const;


};

#endif // _FUNCTIONOPPLUS_HPP

